import pysftp
import getpass

def sftp_getfiles(username, password, hostname):
    with pysftp.Connection(host = hostname, username = username, password = password) as sftp:
        print("Połączenie nawiązane")
        sftp.cwd('/')
        list_directory = sftp.listdir_attr()
        for directory in list_directory:
            print(directory.filename, directory)

if __name__ == '__main__':
    hostname = input("Podaj adres serwera: ")
    username = input("Podaj nazwę użytkownika: ")
    password = getpass.getpass(prompt = "Podaj hasło: ")
    sftp_getfiles(username, password, hostname)